// creator  : weidu.exe (version 23100)
// argument : _TALOUN.DLG
// game		 : .
// source	 : ./override/_TALOUN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_TALOUN~

IF ~Global("Kaishas1","GLOBAL",0)
Global("TalDone","GLOBAL",0)
!Dead("karoug")
~ THEN BEGIN 0 // from:
  SAY #83387 /* ~From the mainland ye be? Never thought I'd see the day. Kaishas'll be wanting to see ye. Come back and indulge an old man when ye be finished with the headwoman.~ */
  IF ~~ THEN EXIT
END

IF ~Global("Kaishas1","GLOBAL",1)
Global("TalDone","GLOBAL",0)
!Dead("karoug")
~ THEN BEGIN 1 // from:
  SAY #83388 /* ~Intrepid explorers, are ye? Not sailors, though. Ye don't have the walk. A sea dog like meself would know. I am Taloun, once a sailor of Amn, and now a proud member of this clan.~ */
  IF ~~ THEN REPLY #83389 /* ~As you say, we are not professional sailors. Do you mean to imply that you are?~ */ GOTO 2
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #83390 /* ~Mind your own business, old man.~ */ GOTO 3
  IF ~~ THEN REPLY #83391 /* ~You seem to have knowledge of life off of this island. Is there a tale to go with it?~ */ GOTO 5
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #83390 /* ~Mind your own business, old man.~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #83392 /* ~Aye, it's true. I was once a sailor for Sybarr Spices out of Amn, bringing product from the New World. Many seasons have passed since then. Everything be different now. Everything...~ */
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #83393 /* ~Well, that's all very sad. However, rather than whining, I will discover a way to escape the island.~ */ GOTO 7
  IF ~~ THEN REPLY #83394 /* ~I don't wish to interrupt your melancholy, but how did you end up on this island?~ */ GOTO 5
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #83393 /* ~Well, that's all very sad. However, rather than whining, I will discover a way to escape the island.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 6.1 1.1
  SAY #83395 /* ~As ye will. Enjoy your stay. Heh, heh.~ */
  IF ~~ THEN DO ~SetGlobal("TalDone","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.2 1.3
  SAY #83396 /* ~Listen, stranger, as rude as ye be, I will offer ye the advice that I never got. Watch yourself. Nothing on this island be as it seems. Not these people, not the monsters and not meself. Do what you must quickly. Ye don't have much time.~ */
  IF ~~ THEN DO ~SetGlobal("TalDone","GLOBAL",1)
~ UNSOLVED_JOURNAL #83397 /* ~The mysterious island

Taloun has warned us to trust no one on the island.  He seemed to be serious.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.1 1.2
  SAY #83398 /* ~We sailed to Maztica and returned, laden with spices. The ship was attacked by a kraken and dragged beneath the waves. Those of us that survived were pulled, one by one, into the kraken's beak to be eaten. I clung to some of the ships planking and somehow the kraken missed me. I drifted for days, eating me shoes and drinking only rainwater.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #83399 /* ~Eventually I drifted to this island. I gained membership to the clan by showing the villagers new techniques for fishing and farming. The clan has been here since Balduran's time ye understand. They be sorely in need of the little bit of modern technology that I be having.

It is a fantastic tale, I admit, but I swear it is true.~ */
  IF ~~ THEN REPLY #83401 /* ~Why is it that these descendants of Balduran's crew haven't been able to escape the island? For that matter, why did the original crew not build a boat and sail for home?~ */ GOTO 8
  IF ~~ THEN REPLY #83402 /* ~Your tale reeks of untruth. Krakens? Eating one's shoes? Only a fool would listen to you.~ */ GOTO 3
END

IF ~~ THEN BEGIN 7 // from: 2.0
  SAY #83403 /* ~Will ye then? Best of luck to ye, though I know it will help ye not.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.0
  SAY #83404 /* ~I know only a bit of the story, meself. They are very tight-lipped about the details surrounding their entrapment here. The crew stopped here to replenish supplies. They were attacked by savage lycanthropes; wolves that could turn into men if they so desired. In the battle, the ship was torched and the wolf beast chased the crew to this end of the island. The combatants fought to a standstill. The crew built this village and the wolf beasts took over the ship. Betwixt skirmishes life went on. The female crewmembers took husbands and started families. Things remain much the same today.~ */
  IF ~~ THEN REPLY #83407 /* ~Why didn't the crew build another boat and escape their fate?~ */ DO ~AddJournalEntry(83406,QUEST)
~ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #83409 /* ~It isn't so simple, ye landlubber. Balduran and his guide Dradeel went missing in the battle. No one knows where this isle lays, for certain. Nevertheless, an attempt has been made. The fisherman, under my tutelage, built a small boat. Selaad Gan, our headman and husband to Kaishas, sailed for the mainland nearly a year ago. We have not heard from him. He is assumed to be dead.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #83410 /* ~I can say no more at this time but I will offer ye the advice that I never got. Watch yourself. Nothing on this island be as it seems. Not these people, not the monsters and not meself. Do what you must quickly. Ye don't have much time.~ */
  IF ~~ THEN DO ~SetGlobal("TalDone","GLOBAL",1)
~ UNSOLVED_JOURNAL #83397 /* ~The mysterious island

Taloun has warned us to trust no one on the island.  He seemed to be serious.~ */ EXIT
END

IF ~Global("TalDone","GLOBAL",1)
!Dead("karoug")
Global("Kaishas1","GLOBAL",1)
~ THEN BEGIN 11 // from:
  SAY #83411 /* ~I be busy now. Leave me be.~ */
  IF ~~ THEN EXIT
END

IF ~Dead("karoug")
~ THEN BEGIN 12 // from:
  SAY #83412 /* ~Be proud, young ones. Ye have done a great service to the clan.~ */
  IF ~~ THEN EXIT
END
